Loading...
Searching...
No Matches
ojph::local::vlc_struct Struct Reference

## Public Attributes

ui8 * | buf
ui32 | pos
ui32 | buf_size
int | used_bits
int | tmp
bool | last_greater_than_8F

## Detailed Description

Definition at line 352 of file ojph_block_encoder.cpp.

## Member Data Documentation

## buf

ui8* ojph::local::vlc_struct::buf

Definition at line 354 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## buf_size

ui32 ojph::local::vlc_struct::buf_size

Definition at line 356 of file ojph_block_encoder.cpp.

Referenced by ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## last_greater_than_8F

bool ojph::local::vlc_struct::last_greater_than_8F

Definition at line 360 of file ojph_block_encoder.cpp.

Referenced by ojph::local::vlc_encode(), and ojph::local::vlc_init().

## pos

ui32 ojph::local::vlc_struct::pos

Definition at line 355 of file ojph_block_encoder.cpp.

Referenced by ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## tmp

int ojph::local::vlc_struct::tmp

Definition at line 359 of file ojph_block_encoder.cpp.

Referenced by ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

## used_bits

int ojph::local::vlc_struct::used_bits

Definition at line 358 of file ojph_block_encoder.cpp.

Referenced by ojph::local::terminate_mel_vlc(), ojph::local::vlc_encode(), and ojph::local::vlc_init().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/core/coding/ojph_block_encoder.cpp